@font-face {
  font-family: "LasVegasJackpot";
  src: url("/assets/fonts/LasVegas Jackpot Regular.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

.navbar {
  position: relative;
  width: 100%;

  box-sizing: border-box;
  background: #E23950;
  border: 5px solid white;
  

  padding: 15px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-links {
  gap: clamp(15px, 4vw, 50px); /* responsive spacing */
  align-items: center;
  display: flex;
  
}

.nav-links a {
  font-size: clamp(16px, 4vw, 40px); /* responsive text size */
  color: white;
  text-decoration: none;
  font-family: "LasVegasJackpot", sans-serif;
  letter-spacing: 1px;
  position: relative;

  transition: 0.2s ease; /* hover effect smoothing */
}

/* Underline Hover Animation */
.nav-links a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 0%;
  height: 2px;
  background: white;
  transition: 0.2s ease;
}

.nav-links a:hover::after {
  width: 100%;
}

/* Under Construction Links */
.nav-link.wip {
  text-decoration: line-through;
  opacity: 0.5;
}